> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inference application deployment

> Retrieves detailed information about a specific application deployment.
The response includes the catalog application it was created from, deployment name,
active regions, configuration of each component, and the current status of the deployment.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v3/inference/applications/{project_id}/deployments/{deployment_name}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v3/inference/applications/{project_id}/deployments/{deployment_name}:
    get:
      tags:
        - Everywhere Inference Apps
      summary: Get inference application deployment
      description: >-
        Retrieves detailed information about a specific application deployment.

        The response includes the catalog application it was created from,
        deployment name,

        active regions, configuration of each component, and the current status
        of the deployment.
      operationId: InferenceApplicationDeployment.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: deployment_name
          required: true
          description: Name of deployment
          schema:
            description: Name of deployment
            title: Deployment Name
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppDeployment'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from gcore import Gcore


            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )

            inference_application_deployment =
            client.cloud.inference.applications.deployments.get(
                deployment_name="deployment_name",
                project_id=1,
            )

            print(inference_application_deployment.api_keys)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinferenceApplicationDeployment, err := client.Cloud.Inference.Applications.Deployments.Get(\n\t\tcontext.TODO(),\n\t\t\"deployment_name\",\n\t\tcloud.InferenceApplicationDeploymentGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", inferenceApplicationDeployment.APIKeys)\n}\n"
components:
  schemas:
    AppDeployment:
      properties:
        api_keys:
          description: List of API keys for the application
          example:
            - key1
            - key2
          examples:
            - - key1
              - key2
          items:
            type: string
          title: Api Keys
          type: array
        application_name:
          description: Identifier of the application template from the catalog
          title: Application Name
          type: string
        components_configuration:
          additionalProperties:
            $ref: '#/components/schemas/ComponentConfiguration'
          description: >-
            Mapping of component names to their configuration (e.g., `"model":
            {...}`)
          title: Components Configuration
          type: object
        name:
          description: Unique identifier of the deployment
          title: Name
          type: string
        regions:
          description: Geographical regions where the deployment is active
          example:
            - 1
            - 2
          examples:
            - - 1
              - 2
          items:
            type: integer
          title: Regions
          type: array
        status:
          $ref: '#/components/schemas/Status'
          description: Current state of the deployment across regions
      required:
        - application_name
        - name
        - api_keys
        - regions
        - components_configuration
        - status
      title: AppDeployment
      type: object
    ComponentConfiguration:
      properties:
        exposed:
          description: Indicates if the component will obtain a public address
          title: Exposed
          type: boolean
        flavor:
          description: Chosen flavor or variant of the component
          title: Flavor
          type: string
        parameter_overrides:
          additionalProperties:
            $ref: '#/components/schemas/ParameterOverride'
          description: Map of parameter overrides for customization
          title: Parameter Overrides
          type: object
        scale:
          $ref: '#/components/schemas/Scale'
          description: Scaling parameters of the component
      required:
        - flavor
        - parameter_overrides
        - exposed
        - scale
      title: ComponentConfiguration
      type: object
    Status:
      properties:
        component_inferences:
          additionalProperties:
            $ref: '#/components/schemas/AppInference'
          description: Map of components and their inferences
          title: Component Inferences
          type: object
        consolidated_status:
          $ref: '#/components/schemas/ConsolidatedStatusEnum'
          description: High-level summary of the deployment status across all regions
        expose_addresses:
          additionalProperties:
            $ref: '#/components/schemas/ExposeAddress'
          description: Map of component keys to their global access endpoints
          title: Expose Addresses
          type: object
        regions:
          description: Status details for each deployment region
          items:
            $ref: '#/components/schemas/RegionStatus'
          title: Regions
          type: array
      required:
        - regions
        - consolidated_status
        - expose_addresses
        - component_inferences
      title: Status
      type: object
    ParameterOverride:
      properties:
        value:
          description: New value assigned to the overridden parameter
          title: Value
          type: string
      required:
        - value
      title: ParameterOverride
      type: object
    Scale:
      properties:
        max:
          description: Maximum number of replicas the container can be scaled up to
          title: Max
          type: integer
        min:
          description: Minimum number of replicas the component can be scaled down to
          title: Min
          type: integer
      required:
        - min
        - max
      title: Scale
      type: object
    AppInference:
      properties:
        flavor:
          description: Flavor of the inference
          title: Flavor
          type: string
        name:
          description: Name of the inference
          title: Name
          type: string
      required:
        - name
        - flavor
      title: AppInference
      type: object
    ConsolidatedStatusEnum:
      enum:
        - Active
        - Failed
        - PartiallyDeployed
        - Unknown
      title: ConsolidatedStatusEnum
      type: string
    ExposeAddress:
      properties:
        address:
          description: Global access endpoint for the component
          title: Address
          type: string
      required:
        - address
      title: ExposeAddress
      type: object
    RegionStatus:
      properties:
        components:
          additionalProperties:
            $ref: '#/components/schemas/RegionComponentStatus'
          description: Mapping of component names to their status in the region
          example:
            model:
              error: ''
              status: Active
          examples:
            - model:
                error: ''
                status: Active
          title: Components
          type: object
        region_id:
          description: Region ID
          example: 1
          examples:
            - 1
          title: Region Id
          type: integer
        status:
          description: Current state of the deployment in a specific region
          title: Status
          type: string
      required:
        - region_id
        - status
        - components
      title: RegionStatus
      type: object
    RegionComponentStatus:
      properties:
        error:
          description: Error message if the component is in an error state
          title: Error
          type: string
        status:
          description: Current state of the component in a specific region
          title: Status
          type: string
      required:
        - status
        - error
      title: RegionComponentStatus
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````